Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Method_Request_Dispatch_No_Filtering Class Reference

Dispatchs an event to a proxy supplier but does NOT perform filtering. More...

`#include <Method_Request_Dispatch_No_Filtering.h>`

Inheritance diagram for TAO_NS_Method_Request_Dispatch_No_Filtering:

[legend]
Collaboration diagram for TAO_NS_Method_Request_Dispatch_No_Filtering:

[legend]
List of all members.

## Public Methods
| TAO_NS_Method_Request_Dispatch_No_Filtering (const TAO_NS_Event_var &event, TAO_NS_ProxySupplier *proxy_supplier)
| Constuctor. More...
| ~TAO_NS_Method_Request_Dispatch_No_Filtering ()
| Destructor. More...
TAO_NS_Method_Request * | copy (void)
| Create a copy of this object. More...
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request. More...
## Private Attributes
TAO_NS_ProxySupplier * | proxy_supplier_
| Proxy Supplier that we use. More...
TAO_NS_Refcountable_Guard | refcountable_guard_
| Guard to automatically inc/decr ref count on the proxy. More...

## Detailed Description

Dispatchs an event to a proxy supplier but does NOT perform filtering.

## Constructor & Destructor Documentation

TAO_NS_Method_Request_Dispatch_No_Filtering::TAO_NS_Method_Request_Dispatch_No_Filtering | ( | const TAO_NS_Event_var & | event,
|  | TAO_NS_ProxySupplier * | proxy_supplier
| ) |

| Constuctor.

TAO_NS_Method_Request_Dispatch_No_Filtering::~TAO_NS_Method_Request_Dispatch_No_Filtering | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_NS_Method_Request * TAO_NS_Method_Request_Dispatch_No_Filtering::copy | ( | void |  | ) | `[virtual]`

| Create a copy of this object. Reimplemented from TAO_NS_Method_Request_Event.

int TAO_NS_Method_Request_Dispatch_No_Filtering::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Execute the Request. Reimplemented from TAO_NS_Method_Request_Event.

## Member Data Documentation

TAO_NS_ProxySupplier* TAO_NS_Method_Request_Dispatch_No_Filtering::proxy_supplier_`[private]`

| Proxy Supplier that we use.

TAO_NS_Refcountable_Guard TAO_NS_Method_Request_Dispatch_No_Filtering::refcountable_guard_`[private]`

| Guard to automatically inc/decr ref count on the proxy.

The documentation for this class was generated from the following files:

- Method_Request_Dispatch_No_Filtering.h
- Method_Request_Dispatch_No_Filtering.cpp